## Lemurian
Adds a playable Lemurian to the Game

##Disclamier
** What is this, a new skill?**

## Multiplayer
- Now there shouldn't be any more isses

##Fire Buff, Gameplay and Tips
As a master of fire, the Lemurian is able to build up a buff that increases the chance to ignite enemies on hit. Every stack increases the chance for 1%. 
Some abilities also gain a damage buff in different kind of ways.

**Now you always gain a Fire Buff stack for every enemy hit, that lasts for 15 seconds** 

## Abilities
**Primary**
`Fireball:` (Distance)
Shoot a fireball that deals 150% damage. 
- projectile speed scales with Fire Buff stacks (base speed = 75, every stack increases it by 1, so 75 stacks double the speed)

`Fire Roar:` (Melee) 
Fire 3 consecutive explosions in front of you, dealing 150% damage each. Gain Armor boost while use. 
- Explosions are cast at 2,5m - 5m - 7,5m fixed distance with a 2,75m base blast radius, that increases with more Fire Buff stacks (100 stacks = 2,75m -> 5,5m)
- Gives armor boost while using (base Armor = 10, boosted Armor = 45)
- You can still sprint while using this ability

**Secondary**
`Fireballs:` (Distance/Melee)
Shoot 5 Fire Balls that deal 300% damage each. 
- Projectiles spread horizontally
- 2.5m splash radius

`Flameburst:` (Distance)
Fire 5 fast Fire Balls that deal 200% damage each. Shoot more balls the more Fire Buff stacks you have (1 ball for every 10 stacks). 
- Shoot more projectiles the more fire buff stacks you have
- 2.5m splash radius

`Exploding Fire Ball` (Distance/Melee)
Charge a fire ball that explodes on hit, dealing 750% - 1000% damage. Projectilespeed and damage increase with charge duration. 
- Base charge duration = 2,5s (lowers with attack speed)
- Blastradius (base =5m) icreases for 1m every 10 Fire Buff stacks
- the longer you charge, the faster the fire ball, damage also increses from 750% to 1000%

**Utility**
`Fiery Leap:` (Melee) 
Leap to the enemy and and burn the ground on impact. The impact does 250% damage. The burning zone slows enemies down. Every tick does 40% damage (25 Ticks in 2.5s - leading up to possible 1250% damage). 
- Has a 10m radius

`Detonation:` (Distance)
Cast an explosion that deals 1250% damage in a 5m - 12,5m radius (75m maximum distance). (
- Radius starts at 1m and goes up to 12,5m in 2s. Attackspeed lowers the time to a minimum of 0,5s
- Credit to LuaFubuki for inspring this attack, check out his VoidReaver mod!

**Special**
`Flamebreath:`
Fire a flamebreath that deals 50% damage per tick for 2,5 seconds. (20 ticks/s) Every Firebuff stack increases the tick count. Every bullet fired increases the ignite percentag by 1%. Gain armor boost while using Flamebreath. (25m maximum distance)
- Proc chance is reduced (0.25) on this attack because you get up to 50+ hits/enemy 
- You get slowed down while charging up, but also gain an armor boost for this time
- Gives you more charactermass while using, making you more stable on the ground
- hold down button fpr use, cancelled by relesing button

`Explosion:`
Explode and deal 2500% damage in a 20m radius. Gain armor boost while charging Explosion. Damage and radius increase (1% damage and 0.1m radius) for every Fire Buff stack.
- Base charge duration (2 seconds) reduces with attack speed
- You get slowed down while charging up, but also gain an armor boost for this time
- Gives you more charactermass while using, making you more stable on the ground

## Known Issues
- `Flame Breath` on client has a little lag regarding projectile spawnlocation, on static enemies this doesn't realy matter though
- Found something? I'd like to hear ;)

## Big Thanks
**Again big thanks to harb and ideath for helping me with multiplayer stuff!**

Big thanks to [LuaFubuki](https://thunderstore.io/package/LuaFubuki/) for answering some of my questions and actually (indirectly) got me into modding, since I realy loved his VoidReaver mod (especialy the secondary attack). Somehow one of Lemurian's utility skill is influenced by this one.

And for helping me fix stuff, Item Displays and and and... thanks to [Rob](https://thunderstore.io/package/rob/).

Another big thanks to [Gnome](https://thunderstore.io/package/Gnome/) for giving me lots of productive feedback, especially for the primary skills :) Check out his Miner Mod!

Also thanks to [Moffein](https://thunderstore.io/package/Moffein/) for helping me with some networking stuff.

## Contact Me
You can contact me on discord ( @Tymmey#6213 ). I'd realy appreciate any feedback regarding bugs, balancing and ideas :)

##To Do
- more item displays

## Changelog
`4.1.0`
- added new secondary skill `Exploding Fire Ball``
- some more item displays
- tweaked projectile shoot origin a little bit
- changed `Fiery Leap` dot zone effects, since the flames were inconsistent when hitting an enemy directly
- `Fire Roar` attack speed increased a little bit
- increased `Flame Burst` damage from 175% to 200% to make it more competitive against `Fire Balls`, also fixed projectile speed to 200 now, since it sometimes went through enemies, increased splash radius a little bit

`4.0.2`
- fixed some more descriptions
- added description in character menu
- fixed heavy bug, causing ice and thunder elite explosions to destroy the f... out of you

`4.0.1`
-forgot some readme changes

`4.0.0`
- some more item displays :)
- fixed clientside projectiles now ignitig enemies in the correct way
- `Fire Ball`, `Fire Balls`, `Flame Burst` and `Fire Roar` now grant a buff when you hit enemies, no more guaranteed buffs now! 
(blastradius of secondaries now give more buffs since you can hit more enemies with 1 projectile)
- reworked `Flame Breath`: it is now firing in a fixed direction and the effect should now have the correct length, base (possible total output)
- `Flame Breath` no longer cancelled by sprinting, but now you have to hold down button while using
- `Flame Breath` damage reduced from 3000% to 2500%, duration reduced to 2,5 seconds, tick count now 20 ticks/s, max distance lowered from 30m to 25m, Fire Buff stacks now increase the tick count, instead increasing just the damage. This is generally giving the same scaled damage output, but also gives more procs now to make it more unique/balanced against `Explosion` (more ignites, bleeds, ukulele shocks etc.)
- `Flame Breath` ignites now with a rising percentage (1% more for every bullet fired) this still means, that Fire Buff stacks increase ignite percentage since more bullets are fired and thus the ignite percentage at the end is higher
- `Explosion` damage scaling reduced from 75 Fire Buff stacks to double damage, to 100 Fire Buff stacks now, reduced cooldown duration to 8s
- `Explosion` Radius increases now with Fire Buff stacks (10stacks = +1m)
- reworked `Fiery Leap`: dot zone duration now 2,5s, dots can crit now. This makes it more viable with Scythe item. Also changed damage values to do correct damage now
- lowered damage from `Fire Balls` from 350% to 300%
- fixed `Fire Ball` to now actually scale speed with Fire Buff stacks
- reduced the Armor Buff values a little
- cleaned readme
- fixed some descriptions

** thanks for ideath, sushidev and harb for helping me with networking for multiplayer support! **

old changelog now in separate file, see the Skill descriptino for latest information
